import "./styles.sass";
import ActionCard from "@/pages/Home/components/ActionCard";
import {faArrowRightToBracket, faPlusSquare} from "@fortawesome/free-solid-svg-icons";
import {StateContext} from "@/common/contexts/StateContext";
import {useContext} from "react";

export const Home = () => {
    const {setCurrentState} = useContext(StateContext);

    return (
        <div className="home-page">
            <div className="background-overlay">
                <div className="rotating-gradient"></div>
            </div>
            
            <div className="logo-container">
                <h1 className="logo">ToneGuessr</h1>
                <p className="tagline">Das Frequenzspiel für Marco :3</p>
            </div>
            
            <div className="action-area">
                <ActionCard title="Join Room" icon={faArrowRightToBracket} onClick={() => {}} />
                <ActionCard title="Create Room" icon={faPlusSquare} onClick={() => setCurrentState("Game")} />
            </div>
        </div>
    );
}
